明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 155|回复: 13

如何在lisp里面调用xplode命令炸开全部物体

[复制链接]
发表于 2020-2-8 19:28 | 显示全部楼层 |阅读模式
5明经币
本帖最后由 kenken 于 2020-2-14 22:09 编辑

(command "xplode" "ALL" "" "g"  "i")

能帮我看一下,为什么总提示    (未知命令“XPLODE”。按 F1 查看帮助。)

最佳答案

查看完整内容

(vl-load-com),有没有加上这个? 加在最前面看看
发表于 2020-2-8 19:28 | 显示全部楼层
kenken 发表于 2020-2-14 21:52
no function definition: VLAX-GET-ACAD-OBJECT高版本好用,2008有这个提示,
谢谢您的回答

(vl-load-com),有没有加上这个?
加在最前面看看
回复

使用道具 举报

发表于 2020-2-9 00:23 | 显示全部楼层
cad命令输入错误  (command "explode")
回复

使用道具 举报

发表于 2020-2-9 00:23 | 显示全部楼层

cad命令输入错误  (command "explode")
回复

使用道具 举报

 楼主| 发表于 2020-2-9 06:29 | 显示全部楼层
有 xplode命令
回复

使用道具 举报

发表于 2020-2-14 00:57 | 显示全部楼层
本帖最后由 ntwison 于 2020-2-14 01:35 编辑

command不能使用xplode,xplode不是cad的内部命令,之所以能在CAD命令行输入该命令后像一个普通的如copy等命令一样运行,是因为CAD运行时调用了用arx定义的一个lsp定义函数。
如果你一定要使用这个的话,下面2个代码可以替代下:
1.(vla-sendcommand (vla-get-activedocument (vlax-get-acad-object)) (strcat "XPLODE" "\n" "ALL\n\n" "G\n" "I\n"));这里要求你的图上块的数量要大于1
2.(vla-sendcommand (vla-get-activedocument (vlax-get-acad-object)) (strcat "XPLODE" "\n" "all\n\n"   "I\n"));这个要求你的图上块的数量等于1



回复

使用道具 举报

发表于 2020-2-14 14:02 | 显示全部楼层
本帖最后由 琴剑江山_10184 于 2020-2-14 14:19 编辑

  1. (vla-sendcommand (vla-get-ActiveDocument (vlax-get-acad-object)) (strcat "xplode" "\n" "\n"))
  2. (Defun c:Tt ()  
  3.   (vlax-add-cmd "XXplode" 'C:xplode)
  4.   (command "XXplode" "ALL" "" "g" "I")
  5.   (princ)
  6. )
这样就可以用了
回复

使用道具 举报

 楼主| 发表于 2020-2-14 21:18 | 显示全部楼层
多谢回答,请问2008下能运行不
回复

使用道具 举报

发表于 2020-2-14 21:37 | 显示全部楼层
kenken 发表于 2020-2-14 21:18
多谢回答,请问2008下能运行不

直接试一下不就好了,我的CAD是2007版的,好用。
回复

使用道具 举报

 楼主| 发表于 2020-2-14 21:52 | 显示全部楼层
no function definition: VLAX-GET-ACAD-OBJECT高版本好用,2008有这个提示,
谢谢您的回答
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2020-2-20 12:03 , Processed in 0.193035 second(s), 26 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表